{{- if .Values.services.connect }}
---
apiVersion: v1
kind: Service
metadata:
  name: {{ template "kafka.name" . }}-connect
  labels:
    app: {{ include "kafka.name" . }}
    chart: {{ .Chart.Name }}-{{ .Chart.Version }}
    release: {{ .Release.Name }}
    heritage: {{ .Release.Service }}
  annotations:
    service.alpha.kubernetes.io/tolerate-unready-endpoints: "true"
spec:
  ports:
  - name: connect
    port: 8083
    targetPort: 8083
  clusterIP: None
  selector:
    app: {{ template "kafka.name" . }}-connect
    release: {{ .Release.Name }}
---
apiVersion: apps/v1
kind: Deployment
metadata:
  name: {{ template "kafka.fullname" . }}-connect
  labels:
    app: "{{ template "kafka.name" . }}"
    release: {{ .Release.Name }}
    heritage: {{ .Release.Service }}
    chart: "{{ .Chart.Name }}-{{ .Chart.Version | replace "+" "_" }}"
spec:
  replicas: 1
  selector:
    matchLabels:
      app: {{ template "kafka.name" . }}-connect
      release: {{ .Release.Name }}
  template:
    metadata:
      annotations:
      labels:
        app: {{ template "kafka.name" . }}-connect
        release: {{ .Release.Name }}
    spec:
      containers:
      - image: cnfldemos/kafka-connect-datagen:0.4.0-6.0.0
        name: kafka-connect
        env:
        - name: CONNECT_BOOTSTRAP_SERVERS 
          value: '{{ include "kafka.fullname" . }}-headless:9092'
        - name: CONNECT_REST_ADVERTISED_HOST_NAME 
          value: connect 
        - name: CONNECT_REST_PORT 
          value: "8083"
        - name: CONNECT_GROUP_ID 
          value: "compose-connect-group"
        - name: CONNECT_CONFIG_STORAGE_TOPIC 
          value: "docker-connect-configs"
        - name: CONNECT_CONFIG_STORAGE_REPLICATION_FACTOR 
          value: "1"
        - name: CONNECT_OFFSET_FLUSH_INTERVAL_MS 
          value: "10000"
        - name: CONNECT_OFFSET_STORAGE_TOPIC 
          value: "docker-connect-offsets"
        - name: CONNECT_OFFSET_STORAGE_REPLICATION_FACTOR 
          value: "1"
        - name: CONNECT_STATUS_STORAGE_TOPIC 
          value: "docker-connect-status"
        - name: CONNECT_STATUS_STORAGE_REPLICATION_FACTOR 
          value: "1"
        - name: CONNECT_KEY_CONVERTER 
          value: "org.apache.kafka.connect.storage.StringConverter"
        - name: CONNECT_VALUE_CONVERTER 
          value: "io.confluent.connect.avro.AvroConverter"
        - name: CONNECT_VALUE_CONVERTER_SCHEMA_REGISTRY_URL 
          value: 'http://{{ template "kafka.name" . }}-connect:8081'
        - name: CONNECT_INTERNAL_KEY_CONVERTER 
          value: "org.apache.kafka.connect.json.JsonConverter" 
        - name: CONNECT_INTERNAL_VALUE_CONVERTER 
          value: "org.apache.kafka.connect.json.JsonConverter" 
        - name: CONNECT_PLUGIN_PATH 
          value: "/usr/share/java,/usr/share/confluent-hub-components" 
        - name: CONNECT_LOG4J_LOGGERS 
          value: "org.apache.zookeeper=ERROR,org.I0Itec.zkclient=ERROR,org.reflections=ERROR"
        ports:
          - containerPort: 8083
{{- end }}